Reserve modular inventory product
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/reservations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mediaBuyId": "<string>",
"buyerCustomerId": 4503599627370495,
"requestedImpressions": 4503599627370495
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/reservations"
payload = {
"mediaBuyId": "<string>",
"buyerCustomerId": 4503599627370495,
"requestedImpressions": 4503599627370495
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mediaBuyId: '<string>',
buyerCustomerId: 4503599627370495,
requestedImpressions: 4503599627370495
})
};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/reservations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bookingId": "<string>",
"availId": "<string>",
"mediaBuyId": "<string>",
"packageId": "<string>",
"requestedImpressions": 4503599627370495,
"status": "HELD"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Reserve modular inventory product
Hold capacity against one modular inventory product projection without overbooking. One of productId or availId is required.
POST
/
inventory-sources
/
{sourceId}
/
modular
/
reservations
Reserve modular inventory product
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/reservations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mediaBuyId": "<string>",
"buyerCustomerId": 4503599627370495,
"requestedImpressions": 4503599627370495
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/reservations"
payload = {
"mediaBuyId": "<string>",
"buyerCustomerId": 4503599627370495,
"requestedImpressions": 4503599627370495
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mediaBuyId: '<string>',
buyerCustomerId: 4503599627370495,
requestedImpressions: 4503599627370495
})
};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/reservations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bookingId": "<string>",
"availId": "<string>",
"mediaBuyId": "<string>",
"packageId": "<string>",
"requestedImpressions": 4503599627370495,
"status": "HELD"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1Body
application/json
Holds capacity against one modular inventory product projection. One of productId or availId is required.
Minimum string length:
1Required range:
0 < x <= 9007199254740991Required range:
0 < x <= 9007199254740991Required range:
0 < x <= 9007199254740991